import Range from '..';
import React from 'react';
import ReactDOM from 'react-dom';
import Switch from '../../switch';
const style = {
    marginBottom: 20,
};
const Demo = () => {
    const [disabled, setDisabled] = React.useState(false);
    return (React.createElement("div", { style: { width: 400 } },
        React.createElement(Range, { defaultValue: 30, disabled: disabled, style: style }),
        React.createElement(Range, { slider: "double", defaultValue: [20, 70], disabled: disabled, style: style }),
        React.createElement("div", { style: { display: 'flex', alignItems: 'center' } },
            "Disabled: ",
            React.createElement(Switch, { checked: disabled, onChange: setDisabled }))));
};
ReactDOM.render(React.createElement(Demo, null), document.getElementById('range-demo-1'));
